Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.agent.client
Interface AICommandsClient

    public interface AICommandsClient

Method Summary
`ScanStateCore` | `getScanStatus()`
`void` | `pushRuntimeDiscoveryConfig(int type, int id, String typeName, String name, org.hyperic.util.config.ConfigResponse response)`
`void` | `startScan(ScanConfigurationCore scanConfig)`
`void` | `stopScan()`

Method Detail

### startScan

    void startScan(ScanConfigurationCore scanConfig)
                   throws org.hyperic.hq.agent.AgentRemoteException,
                          org.hyperic.hq.agent.AgentConnectionException,
                          AutoinventoryException

  Throws:
    `org.hyperic.hq.agent.AgentRemoteException`
    `org.hyperic.hq.agent.AgentConnectionException`
    `AutoinventoryException`

### stopScan

    void stopScan()
                  throws org.hyperic.hq.agent.AgentRemoteException,
                         org.hyperic.hq.agent.AgentConnectionException

  Throws:
    `org.hyperic.hq.agent.AgentRemoteException`
    `org.hyperic.hq.agent.AgentConnectionException`

### getScanStatus

    ScanStateCore getScanStatus()
                                throws org.hyperic.hq.agent.AgentRemoteException,
                                       org.hyperic.hq.agent.AgentConnectionException,
                                       AutoinventoryException

  Throws:
    `org.hyperic.hq.agent.AgentRemoteException`
    `org.hyperic.hq.agent.AgentConnectionException`
    `AutoinventoryException`

### pushRuntimeDiscoveryConfig

    void pushRuntimeDiscoveryConfig(int type,
                                    int id,
                                    String typeName,
                                    String name,
                                    org.hyperic.util.config.ConfigResponse response)
                                    throws org.hyperic.hq.agent.AgentRemoteException

  Throws:
    `org.hyperic.hq.agent.AgentRemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.